server {
    listen 80;
    server_name heshun-admin.doublecheer.com;

    # 强制将所有HTTP请求重定向到HTTPS
    return 301 https://$host$request_uri;
}

server {
    listen 443 ssl;
    server_name heshun-admin.doublecheer.com;

    # SSL配置
    ssl_certificate /path/to/your/certificate.crt;
    ssl_certificate_key /path/to/your/private.key;

    # 其他SSL配置（可选）
    ssl_protocols TLSv1.2 TLSv1.3;
    ssl_ciphers HIGH:!aNULL:!MD5;

    # 处理所有URI
    location / {
        root /home/hs/web/platform;
        index index.html index.htm;
        try_files $uri $uri/ @router;
    }

    location /prod-api/ {
        rewrite ^/prod-api/(.*) /$1 break;
        #两个反斜杆
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_pass http://127.0.0.1:30700;
    }
    location /play-api/ {
        rewrite ^/play-api/(.*) /$1 break;
        #两个反斜杆
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_pass http://127.0.0.1:30720;
    }
    location @router {
        rewrite ^.*$ /index.html last;
    }
}